dpkg-genchanges(1)

NAME
dpkg-dpkg-genchanges - erstelle Debian .changes-Dateien

ÜBERSICHT
dpkg-genchanges [Option...]

BESCHREIBUNG
dpkg-genchanges liest Informationen aus einem entpackten und gebauten Debian-Quellcodebaum und aus den darin erzeugten Dateien und erzeugt eine Debian-Steuerdatei für das Hochladen (die .changes-Datei).

OPTIONEN

-b, -B, -A
    Gibt an, das ein rein-binärer Bau stattfindet (keine Quelldateien sollen eingeschlossen werden). Es gibt zwischen -b, -B und -A keinen Unterschied, die erstellte Datei .changes beinhaltet alle Dateien, die von den binary-*-Zielen der zu bauenden Pakete erstellt werden.

-S  Gibt an, dass nur die Quellen hochgeladen werden sollen (keine Binärpakete werden enthalten sein).

Die -sx Optionen steuern, ob das Original-Quellarchiv dem Upload hinzugefügt wird, falls die Quellen erzeugt werden (d.h. -b oder -B nicht verwendet wurden).

-si Standardmäßig, oder falls angegeben, werden die Originalquellen nur hinzugefügt, falls sich die Versionsnummer der Originalautoren (die Version ohne Epoche und ohne die Debian-Revision) von der Versionsnummer der Originalautoren in dem letzten Changlog-Eintrag unterscheidet.

-sa Erzwingt die Hinzunahme der Originalquellen.

-sd Erzwingt den Ausschluss der Originalquellen und fügt nur den Diff hinzu.

-vVersion
    Dies führt dazu, dass »changelog«-Informationen von allen Versionen, die strikt neuer als Version sind, verwendet werden.

-CÄnderungsbeschreibung
    Lese die Beschreibung der Änderungen aus der Datei Änderungsbeschreibung anstatt die Informationen aus dem changelog-Datei des Quellbaums zu verwenden.

-mBetreueradresse
    Verwende Betreueradresse als Namen und E-Mail-Adresse des Betreuers dieses Paketes, anstatt die Informationen aus der »control«-Datei des Quellbaums zu verwenden.

-eBetreueradresse
    Verwende Betreueradresse als Namen und E-Mail-Adresse des Betreuers für diesen Upload, anstatt die Informationen aus dem »changelog« des Quellbaums zu verwenden.

-VName=Wert
    Setzt eine Ausgabesubstitutionsvariable. Lesen Sie deb-substvars(5) für eine Besprechung des Ausgabesubstitution.

-Tsubstvardatei
    Lese die Substitutionsvariablen aus substvardatei; standardmäßig debian/substvars. Bei den ausgegeben Feldern erfolgt keine Variablensubstitution, die besondere Variable Format wird allerdings das Feld mit dem gleichen Namen überschreiben. Diese Option kann mehrfach verwandt werden, um Substitutionsvariablen aus mehreren Dateien einzulesen.

-DFeld=Wert
    Überschreibe oder ergänze ein Ausgabe-Steuerdatei-Feld.

-Ufield
    Entferne ein Ausgabe-Steuerdatei-Feld.

-cSteuerdatei
    Gibt die Haupt-Steuerdatei an, aus der Informationen gelesen werden sollen. Standardmäßig debian/control.

-lChangelog-Datei
    Gibt die Änderungsprotokolldatei an, aus der Informationen gelesen werden sollen. Standardmäßig debian/changelog.

-fDateienlistDatei
    Lese die Liste der hochzuladenen Dateien von hier, statt debian/files zu verwenden.

-FChangelog-Format
    Gibt das Format der Änderungsprotokolldatei an. Standardmäßig wird das Format aus einer speziellen Zeile in der Nähe des Endes der Änderungsprotokolldatei gelesen oder, falls dies fehlschlägt, wird das Debian-Standardformat angenommen.

-uHochladedateiverzeichnis
    Suche nach Dateien, die hochgeladen werden sollen, in Hochladedateiverzeichnis statt in .. (dpkg-genchanges muss diese Dateien finden, so dass es ihre Größen und Prüfsummen in die .changes-Datei aufnehmen kann.

-q  Normalerweise schreibt dpkg-genchanges informative Meldungen auf die Standard-Fehlerausgabe, beispielsweise wie viele Quelldateien des Pakets hochgeladen werden. -q unterdrückt diese Meldungen.

-h, --help
    Zeige den Bedienungshinweis und beende.

--version
    Gebe die Version aus und beende sich.

DATEIEN

debian/files
    Die Liste der erstellten Dateien, die Teil der zum Hochladen vorbereiteten Dateien sind. dpkg-genchanges liest hier die Daten, wenn es die Datei .changes erstellt.

AUTOREN
Copyright © 1995-1996 Ian Jackson
Copyright © 2000 Wichert Akkerman

Dies ist Freie Software; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE Haftung.

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2011 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.